
-- 
if not CrimeNetCleanerSettings then
    log("[CrimeNetCleaner] Error: Failed to create Mod Options menu")
    return
end


Hooks:PostHook(CrimeNetGui, "init", "CrimeNetGui:init_CrimeNetCleaner", function(self,ws, fullscreeen_ws, node)

    local cncs = CrimeNetCleanerSettings.data

    if cncs.border_blur_toggle then
        self._fullscreen_panel:child("blur_top"):hide()
        self._fullscreen_panel:child("blur_right"):hide()
        self._fullscreen_panel:child("blur_bottom"):hide()
        self._fullscreen_panel:child("blur_left"):hide()
    end


    if cncs.lines_toggle then
        -- from Menu Backgrounds by Luffy  , https://modworkshop.net/mod/17160 
        for _, child in pairs(self._panel:children()) do
            if CoreClass.type_name(child) == "Rect" and child:color() == tweak_data.screen_colors.crimenet_lines then
                child:hide()
            end
        end
    end

    for _, child in pairs(self._pan_panel:children()) do
            child:hide()
    end
    --ws:panel():hide()
    --fullscreeen_ws:panel():hide()
    --self._pan_panel:hide()

    if cncs.vignette_toggle then 
        self._fullscreen_panel:child("vignette"):hide()
    end

    if cncs.bd_light_toggle then
        self._fullscreen_panel:child("bd_light"):hide()
    end

    if false then
    self._panel:child("controller_legend_blur"):hide()
    self._panel:child("num_players_blur"):hide()
    self._panel:child("legends_button_blur"):hide()
    end


    if cncs.rasteroverlay_toggle then
        self._fullscreen_panel:child("rasteroverlay"):hide()
    end

    if cncs.indicator_toggle then
        self._fullscreen_panel:child("cross_indicator_v1"):hide()
        self._fullscreen_panel:child("cross_indicator_v2"):hide()
        self._fullscreen_panel:child("cross_indicator_h1"):hide()
        self._fullscreen_panel:child("cross_indicator_h2"):hide()
        
        self._fullscreen_panel:child("line_indicator_h1"):hide()
        self._fullscreen_panel:child("line_indicator_h2"):hide()
        self._fullscreen_panel:child("line_indicator_v1"):hide()
        self._fullscreen_panel:child("line_indicator_v2"):hide()
	end


	if cncs.regions_toggle then
		self._region_panel:hide()
    end

end)


-- Hooks:PostHook(CrimeNetGui, "add_preset_job", "CrimeNetGui:add_preset_job_BLTMOD", function(self , preset_id )
--     self._jobs[preset_id].focus:hide()
--     log("skusil som ale dak to nefacha z nejakeho dovodu ....")
-- end)

-- Hooks:PostHook(CrimeNetGui, "add_server_job", "CrimeNetGui:add_server_job_BLTMOD", function(self , data )
--     self._jobs[data.id].focus:hide()
-- end)


local old__create_job_gui = CrimeNetGui._create_job_gui
function CrimeNetGui:_create_job_gui(data, type, fixed_x, fixed_y, fixed_location)
    local gui_data = old__create_job_gui(self ,data, type, fixed_x, fixed_y, fixed_location)
    if CrimeNetCleanerSettings.data.focus_toggle then
         gui_data.focus:hide()
    end
    return gui_data
end
